## valabind 0.6.1

=== Makefile ===
# run make V= to get debug output
VERSION=0.6.1
CONTACT=pancake@nopcode.org
PWD=$(shell pwd)
CC?=gcc
DESTDIR?=
PREFIX?=/usr
VALAC?=valac
BIN=valabind
FILES=main.vala config.vala valabindcompiler.vala
FILES+=girwriter.vala swigwriter.vala cxxwriter.vala gearwriter.vala
RTLIBS=gobject-2.0 glib-2.0
VALAPKG=`./getvv`
OBJS=$(subst .vala,.o,${FILES})
CFILES=$(subst .vala,.c,${FILES})
CFLAGS?=-g
V=@

all: config.vala ${BIN}

${BIN}: $(OBJS)
	@echo LN $(BIN)
	$(V)$(CC) -o $(BIN) $(OBJS) $$(pkg-config --libs ${RTLIBS} ${VALAPKG})

config.vala:
	@echo "mkconfig config.vala"
	@echo "const string version_string = \"${BIN} ${VERSION} - ${CONTACT}\";" > config.vala

$(CFILES): $(FILES)
	@for a in $(FILES) ; do \
	   c=`echo $$a|sed -e s,.vala,.c,`; \
	   if [ ! -f $$c -o $$a -nt $$c ]; then \
	     $(MAKE) clean ; $(MAKE) c || exit 1 ; fi ; done

$(OBJS): $(CFILES)
	@echo Using $(VALAPKG)
	@echo CC $(CFILES)
	$(V)$(CC) -c $$(pkg-config --cflags ${RTLIBS} ${VALAPKG}) $(CFILES)

a:
	@echo VALAPKG=$(VALAPKG)
	@echo ${VALAC} -g --pkg posix --pkg ${VALAPKG} ${FILES} -o ${BIN}
	@${VALAC} -g --pkg posix --pkg ${VALAPKG} ${FILES} -o ${BIN}

c:
	@echo VALAC $(FILES)
	$(V)${VALAC} -C -g --pkg posix --pkg ${VALAPKG} ${FILES} -o ${BIN}

install_dirs:
	mkdir -p ${DESTDIR}${PREFIX}/bin
	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1

install: install_dirs
	cp ${BIN}.1 ${DESTDIR}${PREFIX}/share/man/man1
	cp ${BIN}-cc.1 ${DESTDIR}${PREFIX}/share/man/man1
	cp ${BIN} ${DESTDIR}${PREFIX}/bin
	cp ${BIN}-cc ${DESTDIR}${PREFIX}/bin

symstall: install_dirs
	chmod +x ${PWD}/${BIN}-cc
	ln -fs ${PWD}/${BIN}.1 ${DESTDIR}${PREFIX}/share/man/man1
	ln -fs ${PWD}/${BIN}-cc.1 ${DESTDIR}${PREFIX}/share/man/man1
	ln -fs ${PWD}/${BIN} ${DESTDIR}${PREFIX}/bin
	ln -fs ${PWD}/${BIN}-cc ${DESTDIR}${PREFIX}/bin

dist:
	rm -rf valabind-${VERSION}
	hg clone . valabind-${VERSION}
	cd valabind-${VERSION} && $(MAKE) config.vala #c
	rm -rf valabind-${VERSION}/.hg
	tar czvf valabind-${VERSION}.tar.gz valabind-${VERSION}

clean:
	rm -f valabind *.o *.c

mrproper:
	rm -f config.vala

deinstall: uninstall

uninstall:
	-rm ${DESTDIR}${PREFIX}/bin/${BIN}
	-rm ${DESTDIR}${PREFIX}/bin/${BIN}-cc

.PHONY: all clean dist install symstall uninstall deinstall mrproper c a

=== debian/changelog ===
valabind (0.6.1-2) unstable; urgency=low

  * Add new patch, which fixes "valabind-cc --test $language"
  * Add new patch, which disables linking against libpythonX.Y 

 -- Sebastian Reichel <sre@debian.org>  Fri, 04 Nov 2011 17:30:41 +0100

valabind (0.6.1-1) unstable; urgency=low

  * New upstream release
   - do not run swig threaded (it's buggy)

 -- Sebastian Reichel <sre@debian.org>  Wed, 02 Nov 2011 21:14:09 +0100

valabind (0.6-1) unstable; urgency=low

  * new upstream release

 -- Sebastian Reichel <sre@debian.org>  Tue, 01 Nov 2011 13:24:29 +0100

valabind (0.5.2-1) unstable; urgency=low

  * new upstream release
   - c files were removed upstream
   - fixed lintian typo warning

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Oct 2011 02:06:20 +0200

valabind (0.5.1-1) unstable; urgency=low

  * new upstream release
  * uses vala 0.14

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Oct 2011 01:47:04 +0200

valabind (0.5-1) unstable; urgency=low

  * initial release (Closes: #573501)

 -- Sebastian Reichel <sre@debian.org>  Wed, 12 Oct 2011 21:52:58 +0200

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 8),
               libvala-0.14-dev,
               valac-0.14
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-vala/valabind.git
Vcs-Git: git://git.debian.org/pkg-vala/valabind.git

Package: valabind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: convert vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	make a

## valabind 0.6.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # run make V= to get debug output
-VERSION=0.6.1
+VERSION=0.6.4
 CONTACT=pancake@nopcode.org
 PWD=$(shell pwd)
 CC?=gcc
@@ -73,7 +73,7 @@
 clean:
 	rm -f valabind *.o *.c
 
-mrproper:
+mrproper: clean
 	rm -f config.vala
 
 deinstall: uninstall

=== t/gear/Makefile ===
PKG=gtk+-2.0
VB=../../valabind
PKGCFG=$(shell ../../getvv)
VALAPREFIX=$(shell pkg-config --variable=prefix ${PKGCFG})
VALAVER=$(shell echo ${PKGCFG}|sed -e s,lib,,)
VAPI=${VALAPREFIX}/share/${VALAVER}/vapi/${PKG}.vapi

all:
	${VB} --module-name=gtk+-2.0 --glib --gear --pkg cairo --pkg gdk-2.0 --pkg atk ${VAPI}

=== t/r2/Makefile ===
# XXX: Hardcoded path
R2PATH=/home/pancake/prg/radare2/

all: perl ruby python csharp

perl:
	R2PATH=${R2PATH} sh libr-swig.sh perl r_bp

ruby:
	R2PATH=${R2PATH} sh libr-swig.sh ruby r_bp

python:
	rm -f r_bp.so
	R2PATH=${R2PATH} sh libr-swig.sh python r_bp

csharp:
	R2PATH=${R2PATH} sh libr-swig.sh csharp r_bp
	mcs -main:test *.cs

.PHONY: all perl ruby python csharp

=== t/vala/Makefile ===
VAPI=vstest.vapi
SWIGCFLAGS=-I. `pkg-config --cflags --libs gobject-2.0` -I/usr/include -g

all:
	valac -H vstest.h -C --vapi=${VAPI} --library=libvstest vstest.vala
	${CC} -fPIC -shared vstest.c -o libvstest.so `pkg-config --cflags --libs gobject-2.0`
	LDFLAGS="-L. -lvstest" valabind-cc python vstest ${VAPI} ${SWIGCFLAGS} -x

cxx:
	valac -H vstest.h -C --vapi=${VAPI} --library=libvstest vstest.vala
	LDFLAGS="-L. -lvstest" valabind-cc python vstest -X ${VAPI} ${SWIGCFLAGS}
	# compile vstest.cxx as included in test.cxx
	gcc -c vstest.c -I. `pkg-config gobject-2.0 --cflags --libs`
	g++ vstest.o test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`
	#g++ test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`

v8:
	../../valabind --gear -m vstest vstest.vapi

test:
	LD_LIBRARY_PATH=. python test.py

foo:
	valabind-cc python vstest ${VAPI} -I. `pkg-config --cflags --libs gobject-2.0`

clean:
	rm -f vstest.vapi vstest.h *.so vstest.cxx *.o *.i a.out vstest.c vstest.py* vstest_wrap.c

=== debian/changelog ===
valabind (0.6.4-1) unstable; urgency=low

  * new upstream release

 -- Sebastian Reichel <sre@debian.org>  Sat, 03 Dec 2011 15:32:14 +0100

## valabind 0.7.2

=== Makefile ===
VERSION=0.7.2
CONTACT=pancake@nopcode.org
PWD:=$(shell pwd)
DESTDIR?=
PREFIX?=/usr
MANDIR?=$(PREFIX)/share/man
CC?=gcc
VALAC?=valac -g --cc="$(CC)"
RTLIBS=gobject-2.0 glib-2.0
VALAPKG:=$(shell ./getvv)
BUILD?=build
BIN=valabind
SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala girwriter.vala swigwriter.vala cxxwriter.vala
VAPIS:=$(SRC:%.vala=$(BUILD)/%.vapi)
CSRC:=$(SRC:%.vala=$(BUILD)/%.c)
VALA_FILTER=$(filter %.vala,$?)
TEMPS=$(addprefix --use-fast-vapi=,$(filter-out $(VALA_FILTER:%.vala=$(BUILD)/%.vapi),$(VAPIS))) $(VALA_FILTER) $(patsubst %.vala,$(BUILD)/%.c,$(filter-out $?,$^))

all: $(BIN)

.PRECIOUS: $(BUILD)/%.c $(BUILD)/%.vapi

$(BIN): $(SRC) | $(VAPIS)
	@echo 'Compiling $(VALA_FILTER) -> $@'
	@$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --save-temps ${TEMPS}
	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)

$(BUILD)/%.vapi: %.vala | $(BUILD)
	@echo 'Generating $< -> $@'
	@$(VALAC) --fast-vapi=$@ $<

config.vala:
	@echo 'Generating $@'
	@echo 'const string version_string = "$(VERSION)";' > $@

$(BUILD):
	mkdir -p $@

install_dirs:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(MANDIR)/man1

install: install_dirs
	cp $(BIN).1 $(DESTDIR)$(MANDIR)/man1
	cp $(BIN)-cc.1 $(DESTDIR)$(MANDIR)/man1
	cp $(BIN) $(DESTDIR)$(PREFIX)/bin
	cp $(BIN)-cc $(DESTDIR)$(PREFIX)/bin

symstall: install_dirs
	chmod +x $(PWD)/$(BIN)-cc
	ln -fs $(PWD)/$(BIN).1 $(DESTDIR)$(MANDIR)/man1
	ln -fs $(PWD)/$(BIN)-cc.1 $(DESTDIR)$(MANDIR)/man1
	ln -fs $(PWD)/$(BIN) $(DESTDIR)$(PREFIX)/bin
	ln -fs $(PWD)/$(BIN)-cc $(DESTDIR)$(PREFIX)/bin

dist:
	rm -rf valabind-$(VERSION)
	git clone . valabind-$(VERSION)
	cd valabind-$(VERSION) && $(MAKE) config.vala #c
	rm -rf valabind-$(VERSION)/.git
	tar czvf valabind-$(VERSION).tar.gz valabind-$(VERSION)

clean:
	rm -rf $(BUILD) $(BIN)

mrproper: clean
	rm -f config.vala

deinstall: uninstall

uninstall:
	-rm $(DESTDIR)$(PREFIX)/bin/$(BIN)
	-rm $(DESTDIR)$(PREFIX)/bin/$(BIN)-cc

.PHONY: all clean dist install symstall uninstall deinstall mrproper

=== t/vala/Makefile ===
VAPI=vstest.vapi
VALBINDCCFLAGS=-I. `pkg-config --cflags --libs gobject-2.0` -I/usr/include -L. -lvstest

all:
	valac -H vstest.h -C --vapi=${VAPI} --library=libvstest vstest.vala
	${CC} -fPIC -shared vstest.c -o libvstest.so `pkg-config --cflags --libs gobject-2.0`
	valabind-cc python vstest -NFood ${VAPI} ${VALBINDCCFLAGS} -x

cxx:
	valac -H vstest.h -C --vapi=${VAPI} --library=libvstest vstest.vala
	valabind-cc python vstest -NFood -X ${VAPI} ${VALBINDCCFLAGS}
	# compile vstest.cxx as included in test.cxx
	gcc -c vstest.c -I. `pkg-config gobject-2.0 --cflags --libs`
	g++ vstest.o test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`
	#g++ test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`

test:
	python test.py

foo:
	valabind-cc python vstest -NFood ${VAPI} -I. `pkg-config --cflags --libs gobject-2.0`

clean:
	rm -f vstest.vapi vstest.h *.so vstest.cxx *.o *.i a.out vstest.c vstest.py* vstest_wrap.c*

=== debian/changelog ===
valabind (0.7.2-2) unstable; urgency=low

  * build depend on vala 0.20 (Closes: #709704)
  * bump Debian Standards Version to 3.9.4

 -- Sebastian Reichel <sre@debian.org>  Fri, 07 Jun 2013 20:51:33 +0200

valabind (0.7.2-1) unstable; urgency=low

  * new upstream release
  * build depend on vala 0.16 (Closes: #675671)
  * bump compat level

 -- Sebastian Reichel <sre@debian.org>  Thu, 25 Oct 2012 01:05:39 +0200

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 9),
               libvala-0.20-dev,
               valac-0.20
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=pkg-vala/valabind.git
Vcs-Git: git://git.debian.org/pkg-vala/valabind.git

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: convert vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

## valabind 0.7.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-VERSION=0.7.2
+_VERSION=0.7.3git
+#GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
+GIT_TIP=$(shell git describe --tags)
 CONTACT=pancake@nopcode.org
 PWD:=$(shell pwd)
 DESTDIR?=
@@ -10,11 +12,19 @@
 VALAPKG:=$(shell ./getvv)
 BUILD?=build
 BIN=valabind
-SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala girwriter.vala swigwriter.vala cxxwriter.vala
+SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala
+SRC+=girwriter.vala swigwriter.vala cxxwriter.vala ctypeswriter.vala dlangwriter.vala
 VAPIS:=$(SRC:%.vala=$(BUILD)/%.vapi)
 CSRC:=$(SRC:%.vala=$(BUILD)/%.c)
 VALA_FILTER=$(filter %.vala,$?)
-TEMPS=$(addprefix --use-fast-vapi=,$(filter-out $(VALA_FILTER:%.vala=$(BUILD)/%.vapi),$(VAPIS))) $(VALA_FILTER) $(patsubst %.vala,$(BUILD)/%.c,$(filter-out $?,$^))
+TEMPS=$(addprefix --use-fast-vapi=,$(filter-out $(VALA_FILTER:%.vala=$(BUILD)/%.vapi),$(VAPIS)))
+TEMPS+=$(VALA_FILTER) $(patsubst %.vala,$(BUILD)/%.c,$(filter-out $?,$^))
+
+ifneq ($(GIT_TIP),)
+VERSION=$(_VERSION)-$(GIT_TIP)
+else
+VERSION=$(_VERSION)
+endif
 
 all: $(BIN)
 
@@ -60,11 +70,9 @@
 	rm -rf valabind-$(VERSION)/.git
 	tar czvf valabind-$(VERSION).tar.gz valabind-$(VERSION)
 
-clean:
+mrproper clean:
+	rm -f config.vala
 	rm -rf $(BUILD) $(BIN)
-
-mrproper: clean
-	rm -f config.vala
 
 deinstall: uninstall

=== t/gir/Makefile ===
VB=../../valabind

all:
	${VB} --gir --module=Test Test.vapi

=== debian/changelog ===
valabind (0.7.4-4ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libvala-0.22-dev instead of
      libvala-0.20-dev to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 07 Jan 2014 20:20:50 -0500

valabind (0.7.4-4) unstable; urgency=medium

  * debian/control: Switched Sebastian and myself as Maintainer/Uploader.

 -- David Martínez Moreno <ender@debian.org>  Fri, 03 Jan 2014 22:41:59 -0800

valabind (0.7.4-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libvala-0.22-dev instead of 
      libvala-0.20-dev to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 02 Jan 2014 16:44:37 -0500

valabind (0.7.4-3) unstable; urgency=low

  * debian/patches:
    - 07_add_nolibpython: Add a --nolibpython option to valabind to be able to
    comply with Debian Python Policy 2.1 (no linking binaries with libpython).

 -- David Martínez Moreno <ender@debian.org>  Wed, 25 Dec 2013 03:01:19 -0800

valabind (0.7.4-2) unstable; urgency=medium

  * debian/patches:
    - 06_fix_ldflags_python_php5: Fix LDFLAGS propagation in valabind-cc for
      Python and PHP bindings.

 -- David Martínez Moreno <ender@debian.org>  Fri, 20 Dec 2013 23:56:16 -0800

valabind (0.7.4-1ubuntu1) trusty; urgency=low

  * Add missing build dependency, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 20 Dec 2013 13:44:18 -0500

valabind (0.7.4-1) unstable; urgency=low

  * New upstream release:
    - Support for cTypes.
    - Support for D bindings.
    - Other fixes.
  * debian/control:
    - Add myself to Uploaders.
    - Convert valac-0.20 dependency to valac (>= 0.20).
    - Add Homepage and converted old Vcs links to the new URL format.
    - Upgrade Standards-Version to 3.9.5.
    - Build-Depends on quilt and libvala-0.20-dev.
  * debian/patches:
    - 01_add_uint_swigwriter: Add support for uint types (backported from
      d2a4162a47).
    - 02_manpage_typo: Added a fix for an invalid keyword.
    - 03_fix_make_clean: Fix leftover generated .c files.
    - 04_proper_version: Bump version from git to 0.7.4.
    - 05_c-cpp-ldflags_support: Honor CFLAGS, CPPFLAGS and LDFLAGS.  This has
      the amazing side effect of allowing fortified builds (e.g. -D
      FORTIFY_SOURCE=2) and binaries with the read-only relocation flag.
      Lintian is happy again.

 -- David Martínez Moreno <ender@debian.org>  Mon, 16 Dec 2013 00:39:22 -0800

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Martínez Moreno <ender@debian.org>
Uploaders: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 9),
               libvala-0.22-dev,
               valac (>= 0.20),
               quilt
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vala/valabind.git
Vcs-Git: git://anonscm.debian.org/pkg-vala/valabind.git
Homepage: http://radare.org

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

=== debian/watch ===
version=3
http://radare.org/get/valabind-([0-9\.]+)\.tar\.gz

## valabind 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-_VERSION=0.7.3git
+_VERSION=0.8.0
 #GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
 GIT_TIP=$(shell git describe --tags)
 CONTACT=pancake@nopcode.org
@@ -7,7 +7,8 @@
 PREFIX?=/usr
 MANDIR?=$(PREFIX)/share/man
 CC?=gcc
-VALAC?=valac -g --cc="$(CC)"
+VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
+VALAC?=valac -g --cc="$(CC)" $(VALAFLAGS)
 RTLIBS=gobject-2.0 glib-2.0
 VALAPKG:=$(shell ./getvv)
 BUILD?=build
@@ -21,10 +22,18 @@
 TEMPS+=$(VALA_FILTER) $(patsubst %.vala,$(BUILD)/%.c,$(filter-out $?,$^))
 
 ifneq ($(GIT_TIP),)
-VERSION=$(_VERSION)-$(GIT_TIP)
+SGIT_TIP=$(shell echo ${GIT_TIP} | sed -e s,${_VERSION},,)
+else
+SGIT_TIP=$(GIT_TIP)
+endif
+ifneq ($(SGIT_TIP),)
+VERSION=$(_VERSION)-$(SGIT_TIP)
 else
 VERSION=$(_VERSION)
 endif
+
+INSTALL_MAN?=install -m0644
+INSTALL_PROGRAM?=install -m0755
 
 all: $(BIN)
 
@@ -32,7 +41,7 @@
 
 $(BIN): $(SRC) | $(VAPIS)
 	@echo 'Compiling $(VALA_FILTER) -> $@'
-	@$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --save-temps ${TEMPS}
+	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --save-temps ${TEMPS}
 	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)
 
 $(BUILD)/%.vapi: %.vala | $(BUILD)
@@ -51,10 +60,10 @@
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
 
 install: install_dirs
-	cp $(BIN).1 $(DESTDIR)$(MANDIR)/man1
-	cp $(BIN)-cc.1 $(DESTDIR)$(MANDIR)/man1
-	cp $(BIN) $(DESTDIR)$(PREFIX)/bin
-	cp $(BIN)-cc $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL_MAN) $(BIN).1 $(DESTDIR)$(MANDIR)/man1
+	$(INSTALL_MAN) $(BIN)-cc.1 $(DESTDIR)$(MANDIR)/man1
+	$(INSTALL_PROGRAM) $(BIN) $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL_PROGRAM) $(BIN)-cc $(DESTDIR)$(PREFIX)/bin
 
 symstall: install_dirs
 	chmod +x $(PWD)/$(BIN)-cc
@@ -64,15 +73,19 @@
 	ln -fs $(PWD)/$(BIN)-cc $(DESTDIR)$(PREFIX)/bin
 
 dist:
+	$(MAKE) shot GIT_TIP=
+
+shot:
 	rm -rf valabind-$(VERSION)
 	git clone . valabind-$(VERSION)
-	cd valabind-$(VERSION) && $(MAKE) config.vala #c
+	cd valabind-$(VERSION) && $(MAKE) config.vala
 	rm -rf valabind-$(VERSION)/.git
 	tar czvf valabind-$(VERSION).tar.gz valabind-$(VERSION)
 
 mrproper clean:
 	rm -f config.vala
 	rm -rf $(BUILD) $(BIN)
+	rm -rf *.c
 
 deinstall: uninstall

=== debian/changelog ===
valabind (0.8.0-2) unstable; urgency=low

  * debian/patches/add_java7_includes: Add default includes for a Debian
    environment in the Java test.  If you already defined JAVA_HOME this makes
    nothing.

 -- David Martínez Moreno <ender@debian.org>  Thu, 17 Jul 2014 00:16:51 +0200

valabind (0.8.0-1) unstable; urgency=low

  * New upstream release:
    - Added OCaml support.
    - Valabind is now aware of external LDFLAGS, CFLAGS et al.
    - Merged most of the Debian patches.
    - Support OS X in better ways.
  * debian/control: Changed Build-Depends to vala-0.24 (closes: #738997,
    #741807).
  * debian/patches:
    - 01_add_uint_swigwriter: Obsolete, removed.
    - 02_manpage_typo: Merged.
    - 03_fix_make_clean: Merged.
    - 04_proper_version: Merged.
    - 05_c-cpp-ldflags_support: Merged.
    - 06_fix_ldflags_python_php5: Merged.
    - 07_add_nolibpython.patch: Refreshed, renamed to add_nolibpython.patch.

 -- David Martínez Moreno <ender@debian.org>  Mon, 23 Jun 2014 17:19:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: valabind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Martínez Moreno <ender@debian.org>
+Maintainer: David Martínez Moreno <ender@debian.org>
 Uploaders: Sebastian Reichel <sre@debian.org>
 Build-Depends: debhelper (>= 9),
-               libvala-0.22-dev,
-               valac (>= 0.20),
+               libvala-0.24-dev,
+               valac (>= 0.24),
                quilt
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vala/valabind.git

## valabind 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-_VERSION=0.8.0
+_VERSION=0.9.2
 #GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
 GIT_TIP=$(shell git describe --tags)
 CONTACT=pancake@nopcode.org
@@ -14,7 +14,7 @@
 BUILD?=build
 BIN=valabind
 SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala
-SRC+=girwriter.vala swigwriter.vala cxxwriter.vala ctypeswriter.vala dlangwriter.vala
+SRC+=girwriter.vala swigwriter.vala cxxwriter.vala ctypeswriter.vala dlangwriter.vala gowriter.vala
 VAPIS:=$(SRC:%.vala=$(BUILD)/%.vapi)
 CSRC:=$(SRC:%.vala=$(BUILD)/%.c)
 VALA_FILTER=$(filter %.vala,$?)
@@ -35,9 +35,27 @@
 INSTALL_MAN?=install -m0644
 INSTALL_PROGRAM?=install -m0755
 
+ifneq ($(W32),)
+VALAFLAGS+=-D W32=1
+PREFIX=/opt/gtk3w32/
+PKG_CONFIG_PATH=$(W32_PREFIX)/lib/pkgconfig
+CFLAGS=-I$(PREFIX)/include/glib
+CFLAGS+=-I$(PREFIX)/include/glib
+LDFLAGS=-L$(PREFIX)/lib
+CC=i686-pc-mingw32-gcc
+all: $(BIN).exe
+else
 all: $(BIN)
+endif
+
+w32:
+	$(MAKE) W32=1
 
 .PRECIOUS: $(BUILD)/%.c $(BUILD)/%.vapi
+$(BIN).exe: $(SRC) | $(VAPIS)
+	@echo 'Compiling $(VALA_FILTER) -> $@'
+	$(VALAC) --vapidir=. -D W32 -X "${CFLAGS}" -X "${LDFLAGS}" -o $@ --pkg $(VALAPKG) --save-temps ${TEMPS} windows.c --pkg windows
+	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)
 
 $(BIN): $(SRC) | $(VAPIS)
 	@echo 'Compiling $(VALA_FILTER) -> $@'
@@ -46,7 +64,8 @@
 
 $(BUILD)/%.vapi: %.vala | $(BUILD)
 	@echo 'Generating $< -> $@'
-	@$(VALAC) --fast-vapi=$@ $<
+	@$(VALAC) $(VALAFLAGS) --fast-vapi=$@ $<
+	@${MAKE} config.vala
 
 config.vala:
 	@echo 'Generating $@'
@@ -85,12 +104,14 @@
 mrproper clean:
 	rm -f config.vala
 	rm -rf $(BUILD) $(BIN)
-	rm -rf *.c
+	rm -rf $(CSRC)
 
 deinstall: uninstall
 
 uninstall:
+	-rm $(DESTDIR)$(MANDIR)/man1/$(BIN).1
+	-rm $(DESTDIR)$(MANDIR)/man1/$(BIN)-cc.1
 	-rm $(DESTDIR)$(PREFIX)/bin/$(BIN)
 	-rm $(DESTDIR)$(PREFIX)/bin/$(BIN)-cc
 
-.PHONY: all clean dist install symstall uninstall deinstall mrproper
+.PHONY: all clean dist install symstall uninstall deinstall mrproper

=== debian/changelog ===
valabind (0.9.2-2) unstable; urgency=medium

  * Switch to vala 0.30 (Closes: #801238, #802112)

 -- Sebastian Reichel <sre@debian.org>  Fri, 06 Nov 2015 04:23:45 +0100

valabind (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to vala 0.28 (Closes: #787874)

 -- Sebastian Reichel <sre@debian.org>  Mon, 22 Jun 2015 00:37:28 +0200

valabind (0.9.0-1) unstable; urgency=low

  * New upstream release:
    - Lots of fixes for Vala 0.26.
    - Many other minor fixes.
  * debian/patches:
    - add_nolibpython: Merged.
    - fix-build-against-0.26: Merged.
  * debian/control: Bumped Standards-Version to 3.9.6 (no changes).

 -- David Martínez Moreno <ender@debian.org>  Thu, 02 Apr 2015 00:20:08 -0700

valabind (0.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to vala 0.26 and fix build failures with that newer version by
    cherry-picking a patch from upstream. (Closes: #764762, #763248)

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Oct 2014 20:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: David Martínez Moreno <ender@debian.org>
 Uploaders: Sebastian Reichel <sre@debian.org>
 Build-Depends: debhelper (>= 9),
-               libvala-0.24-dev,
-               valac (>= 0.24),
+               libvala-0.30-dev,
+               valac (>= 0.28),
                quilt
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vala/valabind.git
 Vcs-Git: git://anonscm.debian.org/pkg-vala/valabind.git
 Homepage: http://radare.org

## valabind 0.10.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-_VERSION=0.9.2
+_VERSION=0.9.3
 #GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
 GIT_TIP=$(shell git describe --tags)
 CONTACT=pancake@nopcode.org

=== t/r2/Makefile ===
# XXX: Hardcoded path
# HACK(eddyb): Relative path, more chance of success :)
R2PATH:=../../../radare2
MOD:=r_bp
NS:=Radare
FLAGS:=$(MOD) $(MOD) -N$(NS) -I$(R2PATH)/libr/include --vapidir=$(R2PATH)/r2-bindings/vapi -l$(MOD)

all: perl ruby python csharp

perl:
	valabind-cc perl $(FLAGS)

ruby:
	valabind-cc ruby $(FLAGS)

python:
	rm -f r_bp.so
	valabind-cc python $(FLAGS)

csharp:
	valabind-cc csharp $(FLAGS)
	mcs -main:test *.cs

.PHONY: all perl ruby python csharp

=== debian/changelog ===
valabind (0.10.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build for vala 0.36
  * Add git_build-with-vala036.patch:
    - Backport patch from git repo to fix build with vala 0.36

 -- Sebastian Reichel <sre@debian.org>  Tue, 29 Aug 2017 14:24:36 +0200

valabind (0.10.0-2) unstable; urgency=medium

  * Drop David Martínez Moreno <ender@debian.org> from Maintainer/Uploader
    list, since he is missing in action since quite some time. Thanks for
    your work! (Closes: #845289)
  * Set Vala maintainer group as maintainer

 -- Sebastian Reichel <sre@debian.org>  Sun, 27 Nov 2016 19:04:32 +0100

valabind (0.10.0-1) unstable; urgency=medium

  * Build for vala 0.34 (Closes: #838335)
  * Update Debian Standards Version to 3.9.8
  * Update VCS urls

 -- Sebastian Reichel <sre@debian.org>  Sat, 24 Sep 2016 12:51:15 +0200

valabind (0.10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version, switch to vala 0.32 (Closes: #819539)

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 May 2016 21:49:46 +0200

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 10~),
               libvala-0.36-dev,
               valac (>= 0.36),
               quilt
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vala/valabind.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-vala/valabind.git
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

## valabind 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-_VERSION=0.9.3
+_VERSION=?
+-include config.mk
+
+PWD:=$(shell pwd)
 #GIT_TIP=$(shell [ -d .git ] && git log HEAD^..HEAD 2>/dev/null |head -n1|cut -d ' ' -f2)
 GIT_TIP=$(shell git describe --tags)
-CONTACT=pancake@nopcode.org
-PWD:=$(shell pwd)
 DESTDIR?=
 PREFIX?=/usr
 MANDIR?=$(PREFIX)/share/man
@@ -10,7 +11,7 @@
 VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 VALAC?=valac -g --cc="$(CC)" $(VALAFLAGS)
 RTLIBS=gobject-2.0 glib-2.0
-VALAPKG:=$(shell ./getvv)
+VALAPKG:=lib$(shell ./getvv)
 BUILD?=build
 BIN=valabind
 SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala
@@ -48,6 +49,13 @@
 all: $(BIN)
 endif
 
+#VALASRC=$(HOME)/.config/radare2/r2pm/git/vala-0.39.2
+#VALA040+=--vapidir=$(VALASRC)/ccode --pkg ccode -X -I$(VALASRC)/ccode
+#VALA040+=--vapidir=$(VALASRC)/codegen --pkg codegen -X -I$(VALASRC)/codegen
+VALA040=--pkg $(VALAPKG)
+VALA040+=--vapidir=$(PWD)/private --pkg ccode --pkg codegen -X -I$(PWD)/private
+VALA040+=-X -L/usr/local/lib/$(shell ./getvv) -X -lvalaccodegen
+
 w32:
 	$(MAKE) W32=1
 
@@ -59,7 +67,11 @@
 
 $(BIN): $(SRC) | $(VAPIS)
 	@echo 'Compiling $(VALA_FILTER) -> $@'
-	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --save-temps ${TEMPS}
+ifeq ($(VALAPKG),libvala-0.40)
+	$(VALAC) --vapidir=/usr/local/share/vala/vapi -o $@ --pkg posix $(VALA040) --save-temps ${TEMPS}
+else
+	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --pkg valacodegen-0.40 --save-temps ${TEMPS}
+endif
 	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)
 
 $(BUILD)/%.vapi: %.vala | $(BUILD)
@@ -67,7 +79,7 @@
 	@$(VALAC) $(VALAFLAGS) --fast-vapi=$@ $<
 	@${MAKE} config.vala
 
-config.vala:
+config.vala: Makefile
 	@echo 'Generating $@'
 	@echo 'const string version_string = "$(VERSION)";' > $@

=== debian/changelog ===
valabind (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Build with vala 0.40

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Feb 2018 17:02:37 -0500

valabind (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update debian/watch
  * Drop obsolete Debian Vala Team as Maintainer
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Build with vala 0.38 (Closes: #884222)
  * Drop git_build-with-vala036.patch: Applied in new release
  * Cherry-pick drop_superfluous_copies.patch to fix build with vala 0.38
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Feb 2018 10:25:08 -0500

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 10~),
               libvala-0.40-dev,
               valac (>= 0.39)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/valabind.git
Vcs-Browser: https://salsa.debian.org/debian/valabind
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gobject-introspection, swig, valac
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

=== debian/watch ===
version=4
https://github.com/radare/valabind/releases \
 .*/archive/?([0-9][0-9\.]*)@ARCHIVE_EXT@

## valabind 1.7.1

=== Makefile ===
--- 
+++ 
@@ -49,12 +49,19 @@
 all: $(BIN)
 endif
 
-#VALASRC=$(HOME)/.config/radare2/r2pm/git/vala-0.39.2
-#VALA040+=--vapidir=$(VALASRC)/ccode --pkg ccode -X -I$(VALASRC)/ccode
-#VALA040+=--vapidir=$(VALASRC)/codegen --pkg codegen -X -I$(VALASRC)/codegen
-VALA040=--pkg $(VALAPKG)
-VALA040+=--vapidir=$(PWD)/private --pkg ccode --pkg codegen -X -I$(PWD)/private
-VALA040+=-X -L/usr/local/lib/$(shell ./getvv) -X -lvalaccodegen
+VALA_VERSION=$(shell ./getvv)
+VALA_PKGLIBDIR=$(shell pkg-config --variable=pkglibdir lib${VALA_VERSION})
+ifeq ($(VALA_PKGLIBDIR),)
+VALA_LIBDIR=$(shell pkg-config --variable=libdir lib${VALA_VERSION})
+VALA_PKGLIBDIR=$(VALA_LIBDIR)/$(shell ./getvv)
+endif
+VALA_PRIVATE_CODEGEN=--pkg $(VALAPKG)
+VALA_PRIVATE_CODEGEN+=--vapidir=$(PWD)/private --pkg codegen -X -I$(PWD)/private
+VALA_PRIVATE_CODEGEN+=--vapidir=${R2PM_PREFIX}/share/vala/vapi/
+VALA_PRIVATE_CODEGEN+=-X -L$(VALA_PKGLIBDIR) -X -lvalaccodegen
+ifneq ($(shell uname),Darwin)
+VALA_PRIVATE_CODEGEN+=-X -Wl,-rpath=$(VALA_PKGLIBDIR)
+endif
 
 w32:
 	$(MAKE) W32=1
@@ -67,11 +74,7 @@
 
 $(BIN): $(SRC) | $(VAPIS)
 	@echo 'Compiling $(VALA_FILTER) -> $@'
-ifeq ($(VALAPKG),libvala-0.40)
-	$(VALAC) --vapidir=/usr/local/share/vala/vapi -o $@ --pkg posix $(VALA040) --save-temps ${TEMPS}
-else
-	$(VALAC) -o $@ --pkg posix --pkg $(VALAPKG) --pkg valacodegen-0.40 --save-temps ${TEMPS}
-endif
+	$(VALAC) -o $@ --pkg posix $(VALA_PRIVATE_CODEGEN) --save-temps ${TEMPS}
 	@mv $(VALA_FILTER:%.vala=%.c) $(BUILD)
 
 $(BUILD)/%.vapi: %.vala | $(BUILD)

=== t/java/Makefile ===
WGET=wget --no-check-certificate

all: jna.jar
	javac -cp jna.jar:. AsmExample.java RAsmCode.java RAsm.java
	java -cp jna.jar:. AsmExample

jna.jar:
	${WGET} https://raw.github.com/twall/jna/3.4.1/dist/jna.jar

clean:
	rm -f *.class

mrproper: clean
	rm -f jna.jar

=== debian/changelog ===
valabind (1.7.1-1) unstable; urgency=medium

  * New upstream release
   - Drop build system patches, that have been applied upstream

 -- Sebastian Reichel <sre@debian.org>  Wed, 06 Feb 2019 00:41:00 +0100

valabind (1.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Sebastian Reichel ]
  * New upstream release
  * Switch to meson build system
  * Add patches to fix meson build system
  * Add tight dependency for valac, which contains a private library
    used by valabind. Upstream vala and valabind people should find
    a better solution for this, but for now this hack gets things
    running (Closes: #920524)
  * Bump Standards-Version to 4.3.0
  * Fix Upstream URL in copyright file
  * Bump compat level to 12
  * Add manpage

 -- Sebastian Reichel <sre@debian.org>  Tue, 05 Feb 2019 15:44:42 +0100

valabind (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Build with vala 0.42

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:33:27 -0400

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 12~),
               libvala-0.42-dev,
               meson,
               valac (>= 0.42)
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/valabind.git
Vcs-Browser: https://salsa.debian.org/debian/valabind
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         valac (>= 0.42),
         valac (<< 0.43)
Suggests: gobject-introspection, swig
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=meson

## valabind 1.8.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 BIN=valabind
 SRC=config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala
 SRC+=girwriter.vala swigwriter.vala cxxwriter.vala ctypeswriter.vala dlangwriter.vala gowriter.vala
+SRC+=vlangwriter.vala
 VAPIS:=$(SRC:%.vala=$(BUILD)/%.vapi)
 CSRC:=$(SRC:%.vala=$(BUILD)/%.c)
 VALA_FILTER=$(filter %.vala,$?)

=== t/v/Makefile ===
all:
	make -C ../..
	../../valabind -m system --vlang system.vapi
	rm -rf system
	mkdir -p system
	mv system.v system/lib.v
	v run main.v

=== t/vala/Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 cxx:
 	valac -H vstest.h -C --vapi=${VAPI} --library=libvstest vstest.vala
-	valabind-cc python vstest -NFood -X ${VAPI} ${VALBINDCCFLAGS}
+	valabind-cc python vstest -NFood -x ${VAPI} ${VALBINDCCFLAGS}
 	# compile vstest.cxx as included in test.cxx
 	gcc -c vstest.c -I. `pkg-config gobject-2.0 --cflags --libs`
 	g++ vstest.o test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`
 	#g++ test.cxx -I. `pkg-config gobject-2.0 --cflags --libs`
 
 test:
-	python test.py
+	LD_LIBRARY_PATH=$${PWD} python test.py 
 
 foo:
 	valabind-cc python vstest -NFood ${VAPI} -I. `pkg-config --cflags --libs gobject-2.0`

=== debian/changelog ===
valabind (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Debian Standards version to 4.5.1
  * Bump compat level to 13

 -- Sebastian Reichel <sre@debian.org>  Mon, 04 Jan 2021 22:19:31 +0100

valabind (1.7.1-5) unstable; urgency=medium

  * Import upstream patch adding vala 0.48 support (Closes: #952107)

 -- Sebastian Reichel <sre@debian.org>  Tue, 03 Mar 2020 15:59:42 +0100

valabind (1.7.1-4) unstable; urgency=medium

  * automatically generate the packagename for libvalacodegen
    in debian/rules, so that it does not need to be modified
    on every valac major release.
  * Update Build-Dependency to libvala-dev instead of
    libvala-$VERSION-dev allowing simple BinNMUs for Vala
    API bumps.

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Jan 2020 17:12:46 +0100

valabind (1.7.1-3) unstable; urgency=medium

  * Update package dependency for libvalaccodegen.so
  * Bump Debian Standards version to 4.4.1

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Jan 2020 15:44:16 +0100

valabind (1.7.1-2) unstable; urgency=medium

  * Team upload
  * Build with vala 0.46
  * Add minimal debian/gbp.conf

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 07:57:56 -0400

=== debian/control ===
Source: valabind
Section: devel
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper-compat (= 13),
               libvala-dev,
               meson,
               valac (>= 0.46.5-1.3)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/valabind.git
Vcs-Browser: https://salsa.debian.org/debian/valabind
Homepage: https://github.com/radare/valabind

Package: valabind
Architecture: any
Depends: ${shlibs:Depends},
         ${libvalaccodegen},
         ${misc:Depends},
Suggests: gobject-introspection, swig
Description: converts vapi files to SWIG, C++, GIR or GEAR files
 Valabind is a tool to parse vala or vapi files and transform them into SWIG
 interface files, C++ source files, GIR or GEAR.
 .
 It allows easy, fully automatic generation of language bindings for vala code.

=== debian/rules ===
#!/usr/bin/make -f

# libvalaccodegen is a private library from valac, which is used by
# valabind. dpkg-shlibdeps does not pick up the dependency because
# the library is unversioned. This is a workaround to add the
# dependency, since upstream does not want to make the ABI stable.
VALA_VERSION := $(shell valac --api-version)
SUBSTVARS = -Vlibvalaccodegen="libvalacodegen-${VALA_VERSION}-0"

%:
	dh $@ --buildsystem=meson

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)
